#!/bin/sh

# Script shows values of database.
# $1: RRD Index (0..n)
# $2: Start time (1h, 24h, 1d, ...)
#
# Run with N=0, 1, or 2:
# cd /mnt/cf/rrd ; bin/rrd-status.sh N

if [ ! -f /usr/local/etc/rrd/$1.conf ]
then
	echo "No configfile for Name $1" >&2
	exit 1
fi

. /usr/local/etc/rrd/rrd.conf
. /usr/local/etc/rrd/$1.conf

test -z "$2" && START="1h" || START=$2

rrdtool fetch $RRD_DATA/$1.rrd AVERAGE --start -$START
