#!/bin/sh

# Parameter:
# $1 = Index
# $2 = start time (6h, 24h, 7d, 31d)
# $3 = extension (xls, csv)
# $4 = Field separator (t, k, s)
# $5 = Dezimal separator (k, p)

test "$REQUEST_METHOD" != "GET" && exit
echo "$QUERY_STRING" >/tmp/cgi$$.tmp
IFS=$',\n' read -r NAME START EXT SEP DEC </tmp/cgi$$.tmp
rm /tmp/cgi$$.tmp

. /usr/local/etc/rrd/rrd.conf
cd $RRD_BASEDIR
if [ ! -f /usr/local/etc/rrd/$NAME.conf ]
then
	cat << EOF
Content-type: text/plain"
Expires: 0

Error: No config for profile $NAME
EOF
	exit
fi

. /usr/local/etc/rrd/$NAME.conf

test -z "$EXT" && EXT="xls"

	cat << EOF
Content-type: application/$EXT; name="$RRD_TITLE $START.$EXT"
Content-Disposition: attachment; filename="$RRD_TITLE $START.$EXT"
Expires: 0

EOF

if [ "$DEC" = "p" ]
then
	DEC='.'
else
	DEC=','
fi

case "$SEP" in
	k)
		SEP=','
		;;
	s)
		SEP=';'
		;;
	*)
		SEP='\t'
		;;
esac

# Title line
echo -e "Datum$SEP$RRD_VERTLABEL\r"

# Input: 1207577700: 1.2300000000e+02
# XLS Output (Dezimal Komma): 01.04.2008 10:45:00 <TAB> 1,2300000000e+02
# CSV Output (Dezimal Komma): 01.04.2008 10:45:00;1,2300000000e+02

$RRD_BINDIR/rrd-status.sh $NAME $START |\
sed -n -e "s/^\([0-9]*\)\: \([0-9]\+\)\.\([0-9]\+e[-+][0-9]\{2\}\)/\1 \2$DEC\3/p" |\
while read seconds value
do
	date=`date -d "1/1/1970UTC+${seconds}seconds" '+%d.%m.%Y %X'`
	test "$value" = "0${DEC}0000000000e+00" && value="0"
	echo -e "$date$SEP$value\r"
done
