#!/bin/sh

test "$REQUEST_METHOD" != "GET" && exit
START="$QUERY_STRING"

. /usr/local/etc/rrd/rrd.conf

# Parameter:
# $START = start time (24h, 7d, 31d, 60d 90d)

date=`date '+%a, %d %b %Y %H:%M:%S %Z'`

	cat <<EOF
Content-type: text/html
Expires: 0

<html>
<head>
<title>Werte seit $START</title>
<link rel="stylesheet" type="text/css" href="css.css">
</head>
<body leftmargin="10" marginwidth="10" topmargin="10" marginheight="10">
EOF

if [ ! -x /etc/cron.hourly/2-rrd-graph ]
then
	echo "<h3><i>RRD-Grafik ist deaktiviert.</i></h3></body></html>"
	exit 0
fi

# Rebuild pics
# stderr: Output from script debugging, normal empty
# stdout: output of pic size
# Search for all files
for name in /usr/local/etc/rrd/mbus-*-*.conf
do
	NAME=`basename "$name" .conf`

	if [ "$START" = "2h" ]
	then
		$RRD_BINDIR/rrd-graph.sh $NAME $START >/dev/null 2>&1
	fi

	# Rebuild missing images
	# $RRD_BINDIR/rrd-graph.sh $NAME $START >/dev/null 2>&1
	if [ ! -f "img/$NAME-$START.png" ]
	then
		echo "<p><i>Grafik f&uuml;r $NAME wird zur n&auml;chsten vollen Stunde erstellt.</i>"
	else
		cat <<EOF
<p>
<img src="img/$NAME-$START.png">
EOF
	fi

	if [ -f $RRD_DATA/$NAME.rrd ]
	then
		cat <<EOF
<br>
Export als
<a href="csv-export.cgi?$NAME,$START,csv,s">csv</a>,
<a href="csv-export.cgi?$NAME,$START,xls,t">xls</a>
<!--
[
mit Dezimal-Punkt (US):
<a href="csv-export.cgi?$NAME,$START,csv,s,p">csv</a>,
<a href="csv-export.cgi?$NAME,$START,xls,t,p">xls</a>
]
-->
</p>
EOF
	fi
done
	cat <<EOF
<hr>
<pre>$date</pre></body></html>
EOF
